Package org.eclipse.cdt.core.formatter

# Class CodeFormatterApplication

java.lang.Object
org.eclipse.cdt.core.formatter.CodeFormatterApplication

All Implemented Interfaces:
  `org.eclipse.equinox.app.IApplication`

public class CodeFormatterApplication extends Object implements org.eclipse.equinox.app.IApplication
Implements an Eclipse Application for org.eclipse.cdt.core.CodeFormatter.

On MacOS, when invoked using the Eclipse executable, the "user.dir" property is set to the folder in which the eclipse.ini file is located. This makes it harder to use relative paths to point to the files to be formatted or the configuration file to use to set the code formatter's options.

There are a couple improvements that could be made: 1. Make a list of all the files first so that a file does not get formatted twice. 2. Use a text based progress monitor for output.

Since:
  6.4
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from interface org.eclipse.equinox.app.IApplication

`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

## Constructor Summary

Constructors
Constructor
Description
`CodeFormatterApplication()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`start(org.eclipse.equinox.app.IApplicationContext context)`
Runs the code formatter application
`void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodeFormatterApplication

public CodeFormatterApplication()

## Method Details

### start

public Object start(org.eclipse.equinox.app.IApplicationContext context) throws Exception
Runs the code formatter application

Specified by:
  `start` in interface `org.eclipse.equinox.app.IApplication`
Throws:
  `Exception`

### stop

public void stop()

Specified by:
  `stop` in interface `org.eclipse.equinox.app.IApplication`